package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesContractGoodsInfo;

/**
 * @Description : 采购合同货物信息
 * @Author : JiaYf
 * @Date: 2021-09-15 14:13
 */
@TableName("c_purch_contract_goods_info")
public class PurchContractGoodsInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 销售合同货物信息ID
     */
    @TableField("c_sales_contract_goods_info_id")
    private Long salesContractGoodsInfoId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("model_number")
    private String modelNumber;

    /**
     * 单位
     */
    @TableField("units")
    private String units;

    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 暂定单价
     */
    @TableField("price")
    private String price;

    /**
     * 是否补充货物 0 不是 1 是
     */
    @TableField("supplement")
    private Boolean supplement;

    public Long getSalesContractGoodsInfoId() {
        return salesContractGoodsInfoId;
    }

    public void setSalesContractGoodsInfoId(Long salesContractGoodsInfoId) {
        this.salesContractGoodsInfoId = salesContractGoodsInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }
    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }
    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }
    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public Boolean getSupplement() {
        return supplement;
    }

    public void setSupplement(Boolean supplement) {
        this.supplement = supplement;
    }

    @Override
    public String toString() {
        return "CPurchContractGoodsInfo{" +
                ", goodsName=" + goodsName +
                ", goodsFactory=" + goodsFactory +
                ", modelNumber=" + modelNumber +
                ", units=" + units +
                ", quantity=" + quantity +
                ", remark=" + remark +
                ", price=" + price +
                "}";
    }
}
